Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Command_Callback Class Template Reference

Defines a class template that allows us to invoke a GOF command style callback to an object without knowing anything about the object except its type. More...

`#include <Functor_T.h>`

Inheritance diagram for ACE_Command_Callback

[legend]
Collaboration diagram for ACE_Command_Callback:

[legend]
List of all members.

## Public Methods
| ACE_Command_Callback (RECEIVER &recvr, ACTION action)
| Constructor: sets the <receiver_> of the Command to recvr, and the of the Command to .
virtual | ~ACE_Command_Callback (void)
| Virtual destructor.
virtual int | execute (void *arg = 0)
| Invokes the method from the object <receiver_>.
## Private Attributes
RECEIVER& | receiver_
| Object where the method resides.
ACTION | action_
| Method that is going to be invoked.

## Detailed Description

### template<class RECEIVER, class ACTION> template class ACE_Command_Callback

Defines a class template that allows us to invoke a GOF command style callback to an object without knowing anything about the object except its type.

This class declares an interface to execute operations, binding a RECEIVER object with an ACTION. The RECEIVER knows how to implement the operation. A class can invoke operations without knowing anything about it, or how it was implemented.

## Constructor & Destructor Documentation

template<classRECEIVER, classACTION>
ACE_Command_Callback<RECEIVER, ACTION>::ACE_Command_Callback<RECEIVER, ACTION> ( | RECEIVER & recvr,
| ACTION action )

| Constructor: sets the <receiver_> of the Command to recvr, and the of the Command to .

template<classRECEIVER, classACTION>
ACE_Command_Callback<RECEIVER, ACTION>::~ACE_Command_Callback<RECEIVER, ACTION> ( | void )`[virtual]`

| Virtual destructor.

## Member Function Documentation

template<classRECEIVER, classACTION>
int ACE_Command_Callback<RECEIVER, ACTION>::execute ( | void * arg = 0 )`[virtual]`

| Invokes the method from the object <receiver_>. Reimplemented from ACE_Command_Base.

## Member Data Documentation

template<classRECEIVER, classACTION>
ACTION ACE_Command_Callback<RECEIVER, ACTION>::action_`[private]`

| Method that is going to be invoked.

template<classRECEIVER, classACTION>
RECEIVER & ACE_Command_Callback<RECEIVER, ACTION>::receiver_`[private]`

| Object where the method resides.

The documentation for this class was generated from the following files:

- Functor_T.h
- Functor_T.cpp